<!--#include file="inc/conn.jsp"-->
<!--#include file="inc/encrypt.jsp"-->
<!--#include file="inc/config.jsp"-->
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312" />
<meta name="description" content="<%=my_name%>,网上购物"/>
<meta name="keywords" content="<%=my_name%>,网上购物" />
<link rel="icon" href="pics/favicon.ico" type="image/x-icon" />
<link rel="shortcut icon" href="pics/favicon.ico" type="image/x-icon" />
<%
IsShowHotKey=true
IsShowChannel=true
PageType=request("PageType")
StyleLbId=request("lbid")
ProductId=Decode(request("id"))
if ProductId<>"" And not isnumeric(ProductId) then
response.Redirect"note.jsp?errid=0"
end if 
set rssystem = conn.execute("select * from admin")
If rssystem("qx")=0 then response.redirect "../install.jsp"
rssystem.close:Set rssystem=Nothing
ShowChannel=Rst("ShowChannel") 
if len(ShowChannel)=0 then
ShowChannel=false
end if
if len(PageType) then
	select case PageType
		case "A": 
		PageStyle="FullWidth"
		IsShowHotKey=false
		case "B": 
		PageStyle="CurHome"
		IsShowChannel=false
		case "C"
		 PageStyle="FullWidth CurHome "
	end select
else 

   if len(StyleLbId) or len(ProductId) then 
       if len(StyleLbId) then 
	   sql="Select topic From lb Where lbid="&StyleLbId
	   set rsSelectFromlb = conn.execute("Select topic From lb Where lbid="&StyleLbId&"")   
	   else
	  set rsSelectFromlb = conn.execute("select topic from lb where lbid in(select lbid from chanpin where id="& ProductId&")")   
End if

   if not rsSelectFromlb.eof then
			
	ProductTopic=rsSelectFromlb("topic")



					 select case  ProductTopic
						case "数码": PageStyle="FullWidth CurDigital" 
						case "女人": PageStyle="FullWidth CurLady"
						case "男人": PageStyle="FullWidth CurMan"
						case "爱家": PageStyle="FullWidth CurLife" 
						case "书籍音像": PageStyle="FullWidth CurCulture" 
						case "运动": PageStyle="FullWidth CurSports"  
						case "游戏": PageStyle="FullWidth CurGame" 
						case "花鸟市场": PageStyle="FullWidth CurCollection"  
						case "逛香港": PageStyle="FullWidth CurHongkong"  
						case else : PageStyle="FullWidth CurHome"   
					end select 
			  end if
			  rsSelectFromlb.close
              set rsSelectFromlb =nothing 
		 if ShowChannel then
			 IsShowChannel=false
		 end If

   else 
	 PageStyle="CurHome"
   end if
end if
%>

